from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.lang import XComponent

@runtime_checkable
class XWindowPeer(XComponent, Protocol):
    def getToolkit(self) -> XToolkit: ...
    def setPointer(self, Pointer: XPointer) -> None: ...
    def setBackground(self, Color: Color) -> None: ...
    def invalidate(self, Flags: int) -> None: ...
    def invalidateRect(self, Rect: Rectangle, Flags: int) -> None: ...
